# Ocaml-Gnuplot configuration                             -*- Makefile -*-
# Copyright (C) Christophe TROESTLER
#
# $(PKGNAME) and $(PKGVERSION) are defined.

# The platform this library is compiled on.  See also
# gnuplot_$(PLATFORM).ml for further configuration.  MacOSX is
# considered as a unix system.
#
PLATFORM = unix
#PLATFORM = win32
#PLATFORM = macos

# OCAMLC, OCAMLOPT, OCAMLDEP, OCAMLDOC
# The location of the OCaml compiler and tools. The defaults should be OK.
#
OCAMLC	 = ocamlc
OCAMLOPT = ocamlopt
OCAMLDEP = ocamldep
OCAMLDOC = ocamldoc
OCAMLFIND = ocamlfind

#PREFIX=/usr/local
PREFIX=/usr/local/stow/ocaml-$(PKGNAME)-$(PKGVERSION)

# OCAMLLIBDIR: location of OCaml's library files. The default should be OK.
#
OCAMLLIBDIR = $(PREFIX)/lib/ocaml/$(shell ocamlc -version)

# DOCDIR: where we will install the documentation.
#
DOCDIR = $(PREFIX)/doc/$(PKGNAME)-$(PKGVERSION)

# Utilities
#
COPY = cp
#COPY = copy
